Index: trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languages.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languages.java	(revision 1064)
+++ trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languages.java	(revision 1070)
@@ -10,4 +10,14 @@
 		{ "Close" , "&Fechar"},
 		{ "Loading" , "Carregando"},
+		{ "initMessages.Available", "Disponível" },
+		{ "initMessages.Be_right_back", "Volto Logo"},
+		{ "initMessages.Busy", "Ocupado"},
+		{ "initMessages.Extend_Away", "Ausente" },
+		{ "initMessages.Free_for_Chat", "Livre p/ Chat"},		
+		{ "initMessages.Gone_home", "Em casa"},
+		{ "initMessages.In_a_meeting", "Em reunião"},
+		{ "initMessages.On_vacation", "Férias"},
+		{ "initMessages.On_the_phone", "No telefone"},
+		{ "initMessages.Working", "Trabalhando"},
 		{ "main.about.About_JETI" , "Sobre Jeti"},
 		{ "main.about.Version" , "Jeti Versão"},
@@ -35,5 +45,5 @@
 		{ "main.chat.with_status_message" , "com status de mensagem:"},
 		{ "main.chat.You_are_about_to_close_{0}_tabs_Are_you_sure_you_want_to_close_them?" , "Você vai fechar {0} abas. Tem certeza que deseja fechá-las?"}, 
-		{ "main.error.{0}_contains_no_plugins" , "{0} não contém plugins"},
+		{ "main.error.{0}_contains_no_plugins" , "{0} não contêm plugins"},
 		{ "main.error.{0}_is_not_valid" , "{0} não é válido"},
 		{ "main.error.{0}_plugin_failed_to_load" , "{0} plugin falhou ao carregar"},
@@ -54,5 +64,5 @@
 		{ "main.error.Server_has_no_value" , "Servidor não tem valor"},
 		{ "main.error.Server_must_start_with_a_letter_(see_english_translation)" , "Servidor precisa começar com uma letra ou conter [A-Z], [a-z], [0-9], '.' or '-'"},
-		{ "main.error.Server_or_Username_contains_a_'@'" , "Servidor ou Usuário contém '@'"},
+		{ "main.error.Server_or_Username_contains_a_'@'" , "Servidor ou usuário contém @"},
 		{ "main.error.Service_error" , "Erro de serviço"},
 		{ "main.error.Time_Error" , "Erro de tempo"},
@@ -63,5 +73,5 @@
 		{ "main.error.User_{0}_could_not_be_found" , "Usuário {0} não foi encontrado"},
 		{ "main.error.Username_>_255_Characters" , "Usuário > 255 caracteres"},
-		{ "main.error.Username_contains_illegal_chars_(see_english_translation)" , "Usuário contém caracteres inválidos"},
+		{ "main.error.Username_contains_illegal_chars_(see_english_translation)" , "Usuário contêm caracteres inválidos"},
 		{ "main.error.Version_Error" , "Erro na versão"},
 		{ "main.error.Wrong_contact_name" , "Nome de contato inválido"},
@@ -133,5 +143,5 @@
 		{ "main.manageservices.Register" , "&Registrar"},
 		{ "main.manageservices.Server" , "&Servidor"},
-		{ "main.popup.{0}_is_in_the_last_group,_remove_completely?" , "{0} é o \u00FAltimo grupo, remover completamente?"},
+		{ "main.popup.{0}_is_in_the_last_group,_remove_completely?" , "{0} é o último grupo, remover completamente?"},
 		{ "main.popup.{0}_is_in_timezone_{1}" , "{0} fuso-horário {1}"},
 		{ "main.popup.{0}_not_found" , "{0} não encontrado."},
Index: trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languagesPlugins.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languagesPlugins.java	(revision 1064)
+++ trunk/jabberit_messenger/java_source/src/nu/fw/jeti/languages/languagesPlugins.java	(revision 1070)
@@ -19,5 +19,5 @@
 		{ "filetransfer.automatic" , "automático"},
 		{ "filetransfer.behind_firewall_or_NAT" , "atrás de um firewall ou  NAT"},
-		{ "filetransfer.Can_not_transfer_directories" , "Não pode transferir diretórios"},
+		{ "filetransfer.Can_not_transfer_directories" , "não pode transferir diretórios"},
 		{ "filetransfer.Close" , "Fechar"},
 		{ "filetransfer.close_download_windows_when_download_ready" , "Fechar a janela quando terminar o download."},
@@ -27,5 +27,5 @@
 		{ "filetransfer.File_Name" , "&Nome do arquivo"},
 		{ "filetransfer.File_Size" , "Tamhando do arquivo"},
-		{ "filetransfer.File_Transfer" , "Transferência de arquivo"},
+		{ "filetransfer.File_Transfer" , "transferência de arquivo"},
 		{ "filetransfer.From" , "De"},
 		{ "filetransfer.ip" , "ip"},
@@ -39,5 +39,5 @@
 		{ "filetransfer.Send_file_to" , "Mandar arquivo para"},
 		{ "filetransfer.To" , "Para"},
-		{ "filetransfer.Transfer_complete" , "Transferência completa"},
+		{ "filetransfer.Transfer_complete" , "transferência completa"},
 		{ "filetransfer.Transfer_File" , "Transferir arquivo"},
 		{ "filetransfer.Transferring" , "Transferindo"},
@@ -59,5 +59,5 @@
 		{ "xhtml.Size" , "Tamanho" },
 		{ "xhtml.Style" , "Estilo" },
-		{ "xhtml.Transfer_File" , "Transferência de Arquivo" },
+		{ "xhtml.Transfer_File" , "transferência de Arquivo" },
 		{ "xhtml.The_font_used_when_sending_messages" , "A fonte usada para mandar mensagem" },
 		{ "xhtml.The_quick_brown_fox_jumped_over_the_lazy_dogs" , "A ligeira raposa ultrapassou os lobos preguiçosos" }, 
Index: trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/Preferences.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/Preferences.java	(revision 1064)
+++ trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/Preferences.java	(revision 1070)
@@ -104,26 +104,26 @@
 	{
 		/**
-		 * @author(s) : Alexandre Correia - alexandrecorreia@celepar.pr.gov.br
-		 * @brief : Adicionado as traduÃ§Ãµes para os items do menu ( presenÃ§a )
+		 * @Author(s) : Alexandre Correia - alexandrecorreia@celepar.pr.gov.br
+		 * @description : Adicionado as traducoes para os items do menu ( presenca )
 		 */
 		
 		List tempList = new ArrayList(10);
-			tempList.add("Disponível");
-			tempList.add("Livre p/ Chat");
+			tempList.add(I18N.gettext("initMessages.Available"));
+			tempList.add(I18N.gettext("initMessages.Free_for_Chat"));
 			mapMessages.put("chat", tempList);
 			mapMessages.put("available", tempList);
 			tempList = new ArrayList(10);
-			tempList.add("Em reunião");
-			tempList.add("Ocupado");
-			tempList.add("Trabalhando");
+			tempList.add(I18N.gettext("initMessages.In_a_meeting"));
+			tempList.add(I18N.gettext("initMessages.Busy"));
+			tempList.add(I18N.gettext("initMessages.Working"));
 			mapMessages.put("dnd", tempList);
 			tempList = new ArrayList(10);
-			tempList.add("No telefone");
-			tempList.add("Volto Logo");
+			tempList.add(I18N.gettext("initMessages.On_the_phone"));
+			tempList.add(I18N.gettext("initMessages.Be_right_back"));
 			mapMessages.put("away", tempList);
 			tempList = new ArrayList(10);
-			tempList.add("FÃ©rias");
-			tempList.add("Em casa");
-			tempList.add("Ausente");
+			tempList.add(I18N.gettext("initMessages.On_vacation"));
+			tempList.add(I18N.gettext("initMessages.Gone_home"));
+			tempList.add(I18N.gettext("initMessages.Extend_Away"));
 			mapMessages.put("xa", tempList);
 		
@@ -145,21 +145,4 @@
 	{
 		mapMessages.putAll(jetiExtension.getMessages());
-		//removed save message version check because it gives problems when
-		//the server has removed the messages so there is no version
-//		if(jetiExtension.getXmlVersion()==null)
-//		{//on extension not found set save to true to try to overwrite
-//			save = true;
-//		}
-//		else 
-//		{
-//			try
-//			{
-//				//save if loaded xml version <= own xmlversion (backwards compatible)
-//				save = (Integer.parseInt(jetiExtension.getXmlVersion().substring(1)) <= Integer.parseInt(JetiPrivateExtension.XML_VERSION.substring(1)));
-//			}
-//			catch (Exception e)
-//			{
-//			} //exception not saven
-//		}
 	}
 
@@ -172,5 +155,4 @@
 	{
 		mapMessages.put(convertPresenceKey(key), value);
-		//if(save)backend.savePreferences(map,mapMessages);
 	}
 	
Index: trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/I18N.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/I18N.java	(revision 1064)
+++ trunk/jabberit_messenger/java_source/src/nu/fw/jeti/util/I18N.java	(revision 1070)
@@ -1,8 +1,4 @@
-/*
+/**
  * @Author(s) - Alexndre Correia
- *
- * This class is a wrapper for easier i18n of Jeti. 
- * It uses the standard i18n mechanisms given by Java. 
- * 
  * Created on - 30/06/2009
  */
@@ -10,4 +6,6 @@
 package nu.fw.jeti.util;
 
+import java.nio.charset.Charset;
+import java.nio.charset.CharsetDecoder;
 import java.util.*;
 
@@ -21,4 +19,12 @@
 	private static HashMap messagesLangPlugins;
 	
+	private static String getEncoding()
+	{
+		CharsetDecoder decoder = Charset.defaultCharset().newDecoder();
+        String charsetType = decoder.charset().toString();
+        
+        return charsetType;
+	}
+
 	public static String getText(String type, String messageID)
 	{
@@ -39,8 +45,7 @@
 		//remove &
 		int i = translation.indexOf("&");
-		if (i > -1)
-		{
+		
+		if ( i > -1 )
 			translation = translation.substring(0, i) + translation.substring(i + 1, translation.length());
-		}
 
 		return translation;
@@ -58,13 +63,26 @@
 		if( translation == null )
 		{
-			int dotPos = messageID.lastIndexOf('.');
+			translation = (String)messagesLangPlugins.get(messageID);
 			
-			if ( dotPos > 0 )
-				messageID = messageID.substring(dotPos+1);
-			
-			return messageID.replace('_',' ');			
+			if( translation == null )
+			{
+				int dotPos = messageID.lastIndexOf('.');
+				
+				if ( dotPos > 0 )
+					messageID = messageID.substring(dotPos+1);
+				
+				return messageID.replace('_',' ');
+			}
 		}
 
-		return translation; 
+		// Encoding UTF-8/ISO-8859-1		
+		try
+		{
+
+			translation = new String(translation.getBytes("UTF-8"), "UTF-8");
+
+		}catch(Exception e){}
+
+		return translation;
 	}
 
@@ -169,10 +187,8 @@
 		Locale myLocale   = null;
 
-		if( myLanguage != "" )
+		if( !myLanguage.equals("") && !myCountry.equals("") )
 			myLocale = new Locale(myLanguage, myCountry);
 		else
 			myLocale = new Locale("en", "US");
-
-		System.out.println("Valor de myLocale : " + myLocale);
 		
 		I18N.loadLanguages(myLocale);