Index: /trunk/help/templates/azul/pt-br/css/index.css
===================================================================
--- /trunk/help/templates/azul/pt-br/css/index.css	(revision 1080)
+++ /trunk/help/templates/azul/pt-br/css/index.css	(revision 1080)
@@ -0,0 +1,46 @@
+p.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     text-align: center;}
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+
Index: /trunk/help/templates/azul/pt-br/content.html
===================================================================
--- /trunk/help/templates/azul/pt-br/content.html	(revision 1080)
+++ /trunk/help/templates/azul/pt-br/content.html	(revision 1080)
@@ -0,0 +1,151 @@
+<html>
+<head>
+<title>Ajuda - Expresso Livre</title>
+<link rel='stylesheet' type='text/css' href='./css/index.css'/>
+</head>
+<body>
+<a name='indice'>
+<br><div class='texto'>
+Esta ajuda cobre as funcionalidades básicas do Expresso<sup>Livre</sup> e está dividida conforme as categorias abaixo:
+</div></a>
+<br>
+<table border=0 width=95% class='links'>
+<tr>
+    <td align='center'><a href="#login" class='tabela'><img src="images/001_logoinicial.jpg"><br>Página Inicial</td></a>
+    <td align='center'><a href="#expressomail" class='tabela'><img src="images/002_logoexpmail.jpg"><br>ExpressoMail</td></a>
+    <td align='center'><a href="#calendario" class='tabela'><img src="images/003_logoagenda.jpg"><br>Calendário</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#catalogo" class='tabela'><img src="images/004_logocatalogo.jpg"><br>Catálogo de <br>Endereços</td></a>
+    <td align='center'><a href="#boletim" class='tabela'><img src="images/005_logoboletins.jpg"><br>Boletins Internos</td></a>
+    <td align='center'><a href="#workflow" class='tabela'><img src="images/008_wf.jpg"><br>Workflow</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#im" class='tabela' onclick=javascript:window.open('../../../../jabberit_messenger/help.php','janela','width=800,height=495,resizable=no')><img src="images/007_logojabber"><br>Expresso<br>Messenger</td></a>
+	<td align='center'><a href="#logout" class='tabela'><img src="images/006_logologout.jpg"><br>Desconectar</td></a>
+    <td align='center'></td>
+    <td align='center'></td>
+</tr>
+</table><br><br>
+<font face="Arial" size="2"><center><b><u>Manual de utilização</u></b></center></font>
+<div class='texto'><font face="Arial" size="2">Caso você queira copiar e imprimir o manual completo de utilização, Clique <b><a href="../../../downloads/Manual_Usuario_Expresso-pt-br.pdf">aqui</a></b>
+para fazer o download do arquivo, em formato PDF.</font></div><br>
+<br>
+<a name='login'>
+<p class='item'><img src='images/001_logoinicial.jpg'><sup><b>&nbsp;Pagina Inicial</b></sup></p>
+<div class='texto'>
+A página inicial é uma espécie de resumo da sua conta. Aparecerá nela sua agenda para a semana atual, as mensagens novas na sua Caixa de Entrada e as últimas informações dos Boletins Internos. Por padrão, é a página que aparece quando você se conecta no Expresso.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='expressomail'>
+<p class='item'><img src='images/002_logoexpmail.jpg'><sup><b>&nbsp;ExpressoMail</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../expressoMail1_2/help/CartelaExpressoMail.pdf" target="_blank">Manual completo do ExpressoMail</a><p>
+<p>O ExpressoMail é o módulo de correio do Expresso. Através dele você pode acessar, gerenciar e manipular suas mensagens. Ao entrar no módulo, é exibida a sua Caixa de Entrada, com menus principal e de pastas à sua esquerda. As principais funcionalidades do módulo serão descritas a seguir:
+<ul style='text-indent:0'>
+<li>Ao abrir uma mensagem ou redigir uma nova mensagem, será aberta uma aba ao lado da Caixa de Entrada. Isto permite que várias mensagens sejam abertas ao mesmo tempo, simultaneamente à escrita de uma nova mensagem, por exemplo.</li>
+<li>Para mover uma mensagem de uma pasta para outra, basta selecioná-la (clicando no quadrado à esquerda da mensagem), clicarsobre a mesma e arrastar para a pasta desejada. Para mover várias ao mesmo tempo, o processo é análogo.</li>
+<li>Ao abrir uma mensagem, apenas as opções de utilização mais usadas aparecem imediatamente.<br>
+<img src='images/007_acoesmensagem.jpg'><br>
+ Para visualizar mais opções, clique em "Opções" e aparecerá uma nova barra com mais opções e com o cabeçalho da mensagem.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/008_opcoesmensagem.jpg","janela","width=803,height=141,resizable=no")' style='color:black'><img src='images/008_opcoesmensagem_tmb2.jpg'></a><br>
+Clique na imagem para ampliá-la.<br><br></li>
+
+<li>&nbsp;<table width=340 border=0 class='texto'>
+<tr valign='top'><td width=50%>
+Várias funcionalidades do ExpressoMail podem ser alcançadas clicando com o botão direito sobre a mensagem:
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+</li>
+
+<!--<table width =100% border=0 class='texto' style='text-indent:0'>
+<tr><td width=50%>
+<ul><li>Várias funcionalidades do ExpressoMail podem ser alcançadas clicando com o botão direito sobre a mensagem:</li></ul>
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+
+<ul style='text-indent:0'>-->
+<li>Ao compor uma nova mensagem, para obter o endereço da pessoa para quem deseja enviar a mensagem, uma alternativa é digitar parte do nome e teclar F9. Aparecerá a tela abaixo. Escolha o destinatário desejado.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/010_contatos.jpg","janela","width=629,height=299,resizable=no")' style='color:black'><center><img src='images/010_contatos_tmb.jpg'></center></a>
+<center>Clique na imagem para ampliá-la.</center><br><br></li>
+
+<li>&nbsp;
+<table width=330 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+Outra possibilidade é clicar no link <i>Pesquisar</i> e refinar a pesquisa por organização.
+</td><td width=50%>
+<a href='#expressomail' onclick='javascript:window.open("images/011_pesquisar.jpg","janela","width=523,height=418,resizable=no")' style='color:black'><img src='images/011_pesquisar_tmb.jpg'></a><br>Clique na imagem para ampliá-la.</td></tr></table></li>
+
+<li>&nbsp;
+<table width=350 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+O ExpressoMail possui ainda outros recursos, como edição de pastas, criação de filtros, opções de layout, limpeza automática da Lixeira, etc. Estes podem ser acessados através do menu principal, à esquerda da tela.
+</td><td width=50%>
+<img src='images/012_menuprincipal.jpg'></td></tr>
+</table></li>
+</div>
+<!--<table width =100% border=0 class='texto' style='text-indent:0'>
+<tr><td width=50%>
+<ul><li>Outra possibilidade é clicar no link <i>Pesquisar</i> e refinar a pesquisa por organização.</li></ul>
+</td><td width=50%>
+<a href='images/011_pesquisar.jpg' target='_blank' style='color:black'><img src='images/011_pesquisar.jpg' width=100%></a><br>Clique na imagem para ampliá-la.</td></tr>
+<tr><td width=50%>
+<ul><li>O ExpressoMail possui ainda outros recursos, como edição de pastas, criação de filtros, opções de layout, limpeza automática da Lixeira, etc. Estes podem ser acessados através do menu principal, à esquerda da tela.
+</td><td width=50%>
+<img src='images/012_menuprincipal.jpg' width=170 height=194></td></tr>
+</table>-->
+</ul>
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='calendario'>
+<p class='item'><img src='images/003_logoagenda.jpg'><sup><b>&nbsp;Calendário</b></sup></p>
+<div class='texto'>
+Este módulo disponibiliza uma agenda de eventos para o usuário. Para criar um evento, clique sobre a data e hora de início do evento e preencha o formulário. É possível criar eventos pessoais e profissionais, convidar participantes da rede do governo ou externos e até projetar uma repetição do evento. Este módulo está totalmente integrado ao módulo de correio, de forma que todos os participantes receberão um convite para o evento criado em suas contas. Do módulo de agenda, é possível monitorar a aceitação do evento por parte dos participantes.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='catalogo'>
+<p class='item'><img src='images/004_logocatalogo.jpg'><sup><b>&nbsp;Catálogo de Endereços</b></sup></p>
+<div class='texto'>
+No Catálogo de Endereços é possível visualizar o catálogo geral de usuários e gerenciar seu catálogo pessoal.
+<table width=390 border=0 class='texto' style='bottom:0px'>
+<tr><td width=50%>
+<img src='images/013_arvorecatalogo.jpg'>
+</td><td width=50%>
+No menu de Catálogos, clique em Pessoal para visualizar seus contatos pessoais. Clique em Grupos, para ver os grupos que você criou. Clique em Catálogo Geral para expandir a árvore com todas as organizações do estado. Clique em qualquer um dos nomes para visualizar os usuários daquela organização.
+</td></tr></table>
+O Catálogo de Endereços ainda lhe permite visualizar os contatos em ordem alfabética e filtrar pela inicial do contato. Para isso clique nos botões A, B, C,... ou em "Todos" para visualizar todos os contatos.<br>
+<img src="images/014_opcoescatalogo.jpg" width=100%>
+Através do menu "Novo", clique em "Contato" para adicionar alguém ao seu Catálogo Pessoal, em formulário completo ou reduzido ou clique em "Grupo" para criar um grupo pessoal. É possível exportar ou importar uma lista de contatos através do botão Importar|Exportar. Clicando ainda em "Ver Cartões", a lista de usuários é substituída por cartões com foto e mais informações de cada usuário.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='boletim'>
+<p class='item'><img src='images/005_logoboletins.jpg'><sup><b>&nbsp;Boletins Internos</b></sup></p>
+<div class='texto'>
+Este módulo traz os informativos e notícias sobre o Expresso. Algumas dúvidas na configuração e utilização do Expresso podem ser tiradas olhando esta ferramenta.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='workflow'>
+<p class='item'><img src='images/008_wf.jpg'><sup><b>&nbsp;Workflow</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../workflow/doc/manual_do_usuario.pdf" target="_blank">Manual do Usuário do Workflow</a>
+<p>O módulo workflow é um ambiente para execução de fluxos de trabalho. Ao entrar no módulo o usuário visualizará os processos de workflow, que tem acesso, e poderá iniciar atividades. Existe uma caixa de tarefas pendentes, onde o usuário recebe as atividades que lhe são atribuídas para execução.</p>
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='logout'>
+<p class='item'><img src='images/006_logologout.jpg'><sup><b>&nbsp;Desconectar</b></sup></p>
+<div class='texto'>
+Clique neste botão para sair do Expresso.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+
+</body>
+</html>
Index: /trunk/help/templates/azul/index.tpl
===================================================================
--- /trunk/help/templates/azul/index.tpl	(revision 1080)
+++ /trunk/help/templates/azul/index.tpl	(revision 1080)
@@ -0,0 +1,14 @@
+<html>
+<head>
+<title>{title_help}</title>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_help}</span>
+</td></tr></table>
+<iframe frameborder='0' width='100%' height='435px' src="templates/{template_set}/{lang}/content.html"></iframe>
+</body>
+</html>
Index: /trunk/help/templates/azul/es-es/css/index.css
===================================================================
--- /trunk/help/templates/azul/es-es/css/index.css	(revision 1080)
+++ /trunk/help/templates/azul/es-es/css/index.css	(revision 1080)
@@ -0,0 +1,46 @@
+p.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     text-align: center;}
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+
Index: /trunk/help/templates/azul/es-es/content.html
===================================================================
--- /trunk/help/templates/azul/es-es/content.html	(revision 1080)
+++ /trunk/help/templates/azul/es-es/content.html	(revision 1080)
@@ -0,0 +1,114 @@
+<html>
+<head>
+<title>Ajuda - Expresso Livre</title>
+<link rel='stylesheet' type='text/css' href='css/index.css'/>
+</head>
+<body>
+<a name='indice'>
+<br><div class='texto'>
+Esta ayuda aborda las funcionalidades básicas del Expresso<sup>Livre</sup> y está dividida conforme a las categorías abajo:
+</div></a>
+<br>
+<table border=0 width=95% class='links'>
+<tr>
+    <td align='center'><a href="#login" class='tabela'><img src="images/001_logoinicial.jpg" width=46 height=39><br>Pagina Inicial</td></a>
+    <td align='center'><a href="#expressomail" class='tabela'><img src="images/002_logoexpmail.jpg" width=46 height=39><br>ExpressoMail</td></a>
+    <td align='center'><a href="#calendario" class='tabela'><img src="images/003_logoagenda.jpg" width=46 height=39><br>Calendario</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#catalogo" class='tabela'><img src="images/004_logocatalogo.jpg" width=46 height=39><br>Catálogo de direcciones</td></a>
+    <td align='center'><a href="#boletim" class='tabela'><img src="images/005_logoboletins.jpg" width=46 height=39><br>Comunicados Internos</td></a>
+    <td align='center'><a href="#logout" class='tabela'><img src="images/006_logologout.jpg" width=46 height=39><br>Desconectar</td></a>
+</tr>
+</table><br><br>
+<font face="Arial" size="2"><center><b><u>Manual de utilización</u></b></center></font>
+<div class='texto'><font face="Arial" size="2">En caso de que usted quiera copiar e imprimir el manual completo de utilización, haga clic <b><a href="../../../downloads/Manual_Usuario_Expresso-es.pdf">aqui</a></b> para hacer la descarga del archivo, en el formato PDF.</font></div><br>
+<br>
+<a name='login'>
+<p class='item'><img src='images/001_logoinicial.jpg'><sup><b>&nbsp;Pagina Inicial</b></sup></p>
+<div class='texto'>
+La página inicial es un tipo de resumen de su cuenta. Aparecerá en ella su agenda para la semana actual, los mensajes nuevos en su Bandeja de Entrada y las últimas informaciones de los Comunicados Internos. Por padrón, es la página que aparece cuando usted se conecta al Expresso. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='expressomail'>
+<p class='item'><img src='images/002_logoexpmail.jpg'><sup><b>&nbsp;ExpressoMail</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../expressoMail1_2/help/CartelaExpressoMail.pdf" target="_blank">Manual completo do ExpressoMail</a><p>
+<p>El ExpressoMail es el módulo de correo del Expresso. A travésde él usted puede acceder, administrar y manipular sus mensajes. Al entrar al módulo, es exhibida su Bandeja de Entrada, con el menú principal y el menú de carpetas a su izquierda. Las principales funcionalidades del módulo serán descriptas a continuación: 
+<ul style='text-indent:0'>
+<li>Al Abrir un mensaje o redactar un nuevo mensaje, será abierta una pestaña al lado de la Bandeja de Entrada. Esto permite que varios mensajes sea abiertos al mismo tiempo, simultáneamente a la redacción de un nuevo mensaje, por ejemplo.</li>
+<li>Para mover un mensaje de una carpeta a otra, basta seleccionarlo (haciendo clic en el cuadrado a la izquierda del mensaje), luego hacer clic sobre el misma y arrastrarlo hasta la carpeta deseada. Para mover varios mensajes al mismo tiempo, el procedimiento es el mismo.</li>
+<li>Al abrir un mensaje, apenas las opciones de utilización más usadas aparecen inmediatamente.<br>
+<img src='images/007_acoesmensagem.jpg'><br>
+ Para visualizar más opciones, haga clic en "Opciones" y aparecerá una nueva barra con más opciones y con el encabezado del mensaje.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/008_opcoesmensagem.jpg","janela","width=803,height=141,resizable=no")' style='color:black'><img src='images/008_opcoesmensagem_tmb2.jpg'></a><br>
+Haga clic en la imagen para ampliarla.<br><br></li>
+
+<li>&nbsp;<table width=340 border=0 class='texto'>
+<tr valign='top'><td width=50%>
+Varias funcionalidades del ExpressoMail pueden ser vistas haciendo clic con el botón derecho sobre el mensaje:
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+</li>
+
+<li>Al redactar un nuevo mensaje, para obtener la dirección de la persona para la cual desea enviar el mensaje, una alternativa es digitar parte del nombre y presionar F9. Aparecerá la ventana abajo. Escoja el destinatario deseado.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/010_contatos.jpg","janela","width=629,height=299,resizable=no")' style='color:black'><center><img src='images/010_contatos_tmb.jpg'></center></a>
+<center>Haga clic en la imagen para ampliarla.</center><br><br></li>
+
+<li>&nbsp;
+<table width=330 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+Otra posibilidad es hacer clic en el link <i>Buscar</i> y refinar la búsqueda por organización. </td><td width=50%>
+<a href='#expressomail' onclick='javascript:window.open("images/011_pesquisar.jpg","janela","width=523,height=418,resizable=no")' style='color:black'><img src='images/011_pesquisar_tmb.jpg'></a><br>Haga clic en la imagen para ampliarla.</td></tr></table></li>
+
+<li>&nbsp;
+<table width=350 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+El ExpressoMail posee además otros recursos, como edición de carpetas, creación de filtros, opciones de apariencia, limpieza automática de la Papelera, etc. Estos pueden ser accedidos a través del menú principal, a la izquierda de la pantalla. </td><td width=50%>
+<img src='images/012_menuprincipal.jpg'></td></tr>
+</table></li>
+</div>
+</ul>
+</div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='calendario'>
+<p class='item'><img src='images/003_logoagenda.jpg'><sup><b>&nbsp;Calendario</b></sup></p>
+<div class='texto'>
+Este módulo dispone de una agenda de eventos para el usuario. Para crear un evento, haga clic sobre a fecha y hora de inicio del evento y complete el formulario. Es posible crear eventos personales y profesionales, invitar participantes de la red del gobierno o externos y hasta configurar una repetición del evento. Este módulo está totalmente integrado al módulo de correo, de manera que todos los participantes recibirán una invitación para el evento creado en sus cuentas. Del módulo de agenda, es posible acompañar la aceptación del evento por parte de los participantes. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='catalogo'>
+<p class='item'><img src='images/004_logocatalogo.jpg'><sup><b>&nbsp;Catálogo de direcciones</b></sup></p>
+<div class='texto'>
+En el Catálogo de Direcciones es posible visualizar el catalogo general de usuarios y administrar su catálogo personal.
+<table width=390 border=0 class='texto' style='bottom:0px'>
+<tr><td width=50%>
+<img src='images/013_arvorecatalogo.jpg'>
+</td><td width=50%>
+En el menú de haga clic en Personal para visualizar a sus contactos personales. Haga clic en Grupos, para ver a los grupos que usted creó. Haga clic en Catalogo General para expandir el árbol con todas las organizaciones del estado. Haga clic en cualquier uno de los nombres para visualizar a los usuarios de aquella organización.
+</td></tr></table>
+Catálogo de Direcciones le permite además visualizar a los contactos en orden alfabética y filtrar por la inicial del contacto. Para eso haga clic en los botones A, B, C,... o en "Todos" para visualizar a todos los contactos. <br>
+<img src="images/014_opcoescatalogo.jpg" width=100%>
+Através del menú "Nuevo", haga clic en "Contacto" para agregar a alguien a su Catalogo Personal, en formulario completo o reducido o haga clic en "Grupo" para crear un grupo personal. Es posible exportar o importar una lista de contactos a través del botón Importar/Exportar. Haciendo clic además en "Ver Tarjetas", la lista de usuarios es substituida por tarjetas con foto y más informaciones de cada usuario. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='boletim'>
+<p class='item'><img src='images/005_logoboletins.jpg'><sup><b>&nbsp;Comunicados Internos</b></sup></p>
+<div class='texto'>
+Este módulo trae los comunicados y noticias sobre el Expresso. Algunas dudas en la configuración y utilización del Expresso pueden ser sanadas usando esta herramienta. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+
+<a name='logout'>
+<p class='item'><img src='images/006_logologout.jpg'><sup><b>&nbsp;Desconectar</b></sup></p>
+<div class='texto'>
+Haga clic en este botón para
+salir del Expresso.
+</div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+
+</body>
+</html>