Index: trunk/setup/templates/default/css/default.css
===================================================================
--- trunk/setup/templates/default/css/default.css	(revision 1083)
+++ trunk/setup/templates/default/css/default.css	(revision 1083)
@@ -0,0 +1,366 @@
+#setup_info
+{
+	color:#5F5F5F;
+}
+
+#setup_error
+{
+	color:red;
+}
+
+#setup_warning
+{
+	color: #5F5F5F;
+}
+
+body 
+{
+	background-image:url(../images/body-background.png);
+	font-size: 11px; 
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	padding:3px;
+}
+
+form
+{
+	margin:0px;
+	padding:0px;
+}
+
+img
+{
+	border-width:0px;
+	border-style:none;
+}
+
+a:link,a:visited
+{
+	cursor:pointer;
+	color: #006699; 
+	text-decoration: none;
+}
+
+a:hover,a:active
+{
+	cursor:pointer;
+	color: #ff9933;
+	text-decoration: underline;
+}
+
+input,button
+{
+	font-size: 12px; 
+	color: #006699; 
+	font-family: Arial, Helvetica, sans-serif;
+	border: 1px #bbbbbb solid;
+}
+
+input[type=submit],input[type=button],input[type=reset],button
+{
+	margin:1px;
+	padding:1px;
+	cursor: pointer; 
+	cursor: hand;
+}
+
+input[type=image]
+{
+	cursor: pointer; 
+	cursor: hand;
+	border: 0px #bbbbbb none;
+}
+select 
+{
+	font-size: 11px; 
+	color: #006699; 
+	font-family: Arial, Helvetica, sans-serif;
+	border: 1px #bbbbbb solid;
+}
+
+td
+{
+
+/* global tags should never be defined here [ndee]*/
+	font-size: 11px;
+/* removed text-align:left; [ndee]*/
+	/*	padding-top:1px;
+	padding-bottom:1px;*/
+}
+
+.divLoginbox 
+{
+	position:relative;
+	width: 300px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+	color:#666666;
+}
+
+.divLoginboxHeader 
+{
+	text-align:center;
+	background-color:#dddddd;
+	padding-top:2px;
+	font-size:10px;
+	color:#666666;
+}
+.divSidebox 
+{
+	position:relative;
+	width: 147px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divSideboxHeader 
+{
+	text-align:center;
+	background-color:#dddddd;
+	padding-top:2px;
+	font-size:10px;
+	color:#666666;
+}
+
+a.divSideboxEntry, .divSideboxEntry
+{
+	text-align:left;
+	height:16px;
+	background-color:#eeeeee;
+}
+
+a.appTitles,.appTitles
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+}
+
+a.textSidebox
+{
+	font-size: 10px; 
+	border-top: #aaaaaa 0px none;
+}
+
+.textSidebox
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+	border-top: #aaaaaa 1px solid;
+
+}
+
+.sideboxSpace
+{
+	height:9px;
+}
+
+.greyLine
+{
+	margin:1px;
+	border-top-color:#7e7e7e;
+	border-top-width:1px;
+	border-top-style:solid;
+	height:1px;
+}
+
+.prefSection
+{
+	font-weight:bold;
+	font-size:16px;
+	line-height:40px;
+}
+
+#extraIcons
+{
+/*	position:absolute;
+	z-index:13;
+	right:10px;
+	top:113px;
+	visibility:hidden;*/
+/*	background-image:url(../images/alpha-white.png);*/
+	background-color:#eeeeee;
+	border-width:1px;
+	border-color:#7e7e7e;
+	border-style:solid;
+}
+
+.extraIconsRow
+{
+	border-top-color:#dddddd;
+	border-top-width:1px;
+	border-top-style:solid;
+	padding:2px;
+}
+
+#divMain
+{
+	background-color:white;
+	margin-top: 5px;
+	padding:5px;
+	border:1px solid #749ece;
+}
+
+#divLogo
+{
+	position:absolute;
+	left:20px;
+	top:5px;
+	z-index:51;
+}
+
+#divAppIconBar
+{
+	background-color: #e8eff5; 
+}
+
+#divAppTextBar
+{
+	background-color:white;
+}
+
+#divStatusBar
+{
+	background-color:white;
+	height:15px;
+	padding-left:10px;
+	margin-top: 13px;
+	/*	margin-bottom: 2px;*/
+}
+
+/*#divSubContainer
+{
+}
+*/
+#tdSidebox
+{
+	width:170px;
+	background-color:white;
+	overflow:visible;
+}
+
+
+#tdAppbox
+{
+	background-color:white;
+	padding-left:5px;
+	width: 100%;
+}
+#divSideboxContainer
+{
+	position:relative;
+	width:150px;
+	top:0px;
+	left:0px;
+	background-color:white;
+	border-width:1px;
+	border-style:solid;
+	z-index:40;
+}
+
+#divAppboxHeader
+{
+	background-color: #e8eff5; 
+	height:36px;
+	line-height:28px;
+	text-align:center;
+	padding-bottom:0px;
+	font-size:14px;
+	font-weight:bold;
+	color:#666666;
+	border-left: 1px solid #e8eff5;
+	border-right:1px solid #e8eff5;
+}
+
+#divAppbox
+{
+	background-image: url(../images/bgBlockContent.jpg); 
+	background-repeat: repeat-x;
+	padding:0px;
+	border-left: 1px solid #e8eff5;
+	border-right: 1px solid #e8eff5;
+	border-bottom: 1px solid #e8eff5;
+}
+
+#fmStatusBar
+{
+	margin-left:4px;
+	margin-bottom:3px;
+	font-size: 10px; 
+/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
+	
+
+}
+
+
+.fmButton
+{
+	background-image:url(../images/buttonbackground.png);
+	width:28px;
+	height:28px;
+	background-repeat: no-repeat;
+}
+
+#fmLocation
+{
+	position:relative;
+	/*background-image:url(../images/buttonbackgroundscaled.png);
+	background-repeat: repeat-x;*/
+	/*margin-left:4px;*/
+	margin-bottom:3px;
+	height:27px;
+
+}
+
+#fmMenu
+{
+	position:relative;
+}
+#fmFileWindow
+{
+	background-color:#ffffff;
+	margin-left:4px;
+	padding:5px;
+	position:relative;
+	border-right: #cccccc 1px solid; 
+	border-top: #9c9c9c 2px solid; 
+	border-left: #9c9c9c 2px solid; 
+	border-bottom: #cccccc 1px solid
+}
+
+#user_info
+{
+
+
+}
+
+#admin_info
+{
+	position:relative;
+	text-align:right;
+}
+
+#divGenTime
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #ff0000;
+	text-align:center;
+	width:99%;
+}
+
+#divPoweredBy 
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #000000;
+	text-align:center;
+	width:99%;
+}
+
Index: trunk/setup/templates/default/footer.tpl
===================================================================
--- trunk/setup/templates/default/footer.tpl	(revision 2)
+++ trunk/setup/templates/default/footer.tpl	(revision 1083)
@@ -1,4 +1,4 @@
 <!-- footer.tpl -->
-		 							</div>
+</div>
 <!-- Applicationbox Column -->
 </td>
@@ -7,21 +7,20 @@
 </div>
 </div>
-
-<div id="divPoweredBy"><br/><span>&nbsp;<a class="copyright" href="http://www.egroupware.org/">eGroupWare</a> {lang_version} {pgw_ver} </span></div>	
+<div id="rodape">
+<table align="center" cellspacing="0" cellpadding="0" border="0">
+	<tr>
+		<td>
+			<table border="0" cellpadding="0" cellspacing="0" width="300px">
+          		<tbody>
+          			<tr> 
+            			<td><div align="center"><font color="#9a9a9a" face="Verdana, Arial, Helvetica, sans-serif" size="1"><br><a title="Projeto ExpressoLivre" target="_blank" href="http://www.expressolivre.org/">Expresso Livre </a> {lang_version} {pgw_ver}<br><a title="eGroupWare" style="text-decoration:none" target="_blank" href="http://www.egroupware.org/"> Powered by eGroupWare </a></font></div></td>
+          			</tr>
+        		</tbody>
+        	</table>
+        </td>
+	</tr>
+</table>
+</div>
 </body>
 </html>
 <!-- END footer.tpl -->
-<!--<br/><br/>
-</td>
-</tr>
-</tbody></table>
-
-<br></td>
-<td width="15"></td>
-</tr>
-</tbody></table>
-						</td></tr>
-</tbody></table></td></tr>
-</tbody></table>
-<p align="center" class="copyright">&nbsp;<a class="copyright" href="http://www.egroupware.org/">eGroupWare</a> {lang_version} {pgw_ver} </p>
-</body></html>-->
Index: trunk/setup/templates/default/config_pre_script.tpl
===================================================================
--- trunk/setup/templates/default/config_pre_script.tpl	(revision 2)
+++ trunk/setup/templates/default/config_pre_script.tpl	(revision 1083)
@@ -1,5 +1,5 @@
 <!-- begin config_pre_script.tpl -->
 <form method="POST" action="config.php">
-<table border="0" align="center" cellspacing="0" width="90%" ">
+<table style="border:1px solid #e8f0f0;" align="center" cellspacing="0" width="90%">
 <!-- end config_pre_script.tpl -->
 
Index: trunk/setup/templates/default/head.tpl
===================================================================
--- trunk/setup/templates/default/head.tpl	(revision 796)
+++ trunk/setup/templates/default/head.tpl	(revision 1083)
@@ -2,34 +2,14 @@
 <html xml:lang="{lang_code}" xmlns="http://www.w3.org/1999/xhtml">
 	<head>
-		<!--
-		HTML Coding Standards;
-
-		1. use lowercase if possible, because of xhtml validation
-		2. make your template validate either html 4.01 or xhtml 1
-		3. make your application validate both if possible
-		4. always use quotes ("") when possible
-		5. use png-graphics if possible, but keep in mind IE has a transparency bug when it renders png's
-
-		-->
-
-		<!-- LAY-OUT BUGS 
-		
-		1. in IE no link cursor is displayed when png's are used for that link
-		2. tabs are ugly in preferences
-		3. spacers inside sidebox
-
-		-->
-		<title>eGroupWare Setup - {lang_setup} {configdomain}</title>
+		<title>Expresso Setup - {lang_setup} {configdomain}</title>
 		<meta http-equiv="content-type" content="text/html; charset={charset}" />
-		<meta name="keywords" content="egroupware" />
-		<meta name="description" content="egroupware" />
-		<meta name="keywords" content="egroupware" />
-		<meta name="copyright" content="egroupware http://www.egroupware.org (c) 2003" />
+		<meta name="keywords" content="ExpressoLivre" />
+		<meta name="description" content="expressolivre" />
 		<meta name="language" content="{lang_code}" />
-		<meta name="author" content="egroupware http://www.egroupware.org" />
+		<meta name="author" content="expressolivre http://www.expressolivre.org" />
 		<meta name="robots" content="none" />
-		<link rel="icon" href="../phpgwapi/templates/default/images/favicon.ico" type="image/x-ico" />
+		<link rel="icon" href="../phpgwapi/templates/azul/images/favicon.ico" type="image/x-ico" />
 		<link rel="shortcut icon" href="../phpgwapi/templates/default/images/favicon.ico" />
-		<link href="templates/default/css/celepar.css" type="text/css" rel="stylesheet" />
+		<link href="templates/default/css/default.css" type="text/css" rel="stylesheet" />
 		<!--
 		{css}
@@ -38,10 +18,10 @@
 		<style type="text/css">
 			<!--
-			.row_on { color: #000000; background-color: #eeeeee; }
-			.row_off { color: #000000; background-color: #e8f0f0; }
+			.row_on { color: #000000; background-color: #f9fbff; }
+			.row_off { color: #000000; background-color: #e8f0f0;}
 			.th 
 			{ 
-			  color: #000000; 
-			  background-color: #cccccc; 
+			  color: black; 
+			  background-color: #dcdcdc; 
 			}
 
@@ -54,27 +34,7 @@
 <div id="divMain">
 	<div id="divAppIconBar">
-		<table width="100%" border="0" cellspacing="0" cellpadding="0">
-			<tr>
-				<td width="180" valign="top" align="left">
-				</td>
-				<td>
-					<table width="100%" border="0" cellspacing="0" cellpadding="0">
-						<tr>
-							<td width="100%"><img src="templates/default/images/spacer.gif" width="1" height="68" alt="spacer" /></td>
-							<td width="100%"><a href="http://www.expressolivre.org" target="_blank"><img src="templates/default/images/logo_expresso.png" border="0" alt="expresso"/></a>
-</td>
-
-						</tr>
-						<tr>
-							<td width="100%">&nbsp;</td>
-						</tr>
-					</table>
-
-				</td>
-				<td width="1" valign="top" align="right"><img src="templates/default/images/grey-pixel.png" width="1" height="68" alt="spacer" /></td>
-			</tr>
-		</table>
+<table width='100%'>
+<tr><td align='left' background="./templates/default/images/fundo_topo.jpg"><img src="./templates/default/images/topo.jpg" style="overflow:hidden;z-index:-1;"></td></tr></table>
 	</div>
-<!--	<div id="divstatusbar"><table width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td align="left" id="user_info">{user_info}</td><td align="right" id="admin_info">{current_users}</td></tr></table></div>-->
 	<div id="divSubContainer">
 		<table width="100%" cellspacing="0" cellpadding="0">
Index: trunk/setup/templates/default/login_stage_header.tpl
===================================================================
--- trunk/setup/templates/default/login_stage_header.tpl	(revision 2)
+++ trunk/setup/templates/default/login_stage_header.tpl	(revision 1083)
@@ -2,5 +2,5 @@
 <tbody>
 <tr class="th">
-		<td colspan="2" bgcolor="#cccccc">
+		<td colspan="2" bgcolor="#749ece" style="color:white">
 			&nbsp;<strong>{lang_config_login}</strong>
 		</td>
@@ -10,5 +10,5 @@
 	</tr>
 	<tr class="row_on">
-		<td colspan="2">
+		<td colspan="2" align=center>
 			<form action="index.php" method="post" name="config">
 			<!-- BEGIN B_multi_domain -->
Index: trunk/setup/templates/default/login_main.tpl
===================================================================
--- trunk/setup/templates/default/login_main.tpl	(revision 2)
+++ trunk/setup/templates/default/login_main.tpl	(revision 1083)
@@ -2,5 +2,5 @@
 <!--<p>To enter the setup please login with the setup-password.</p>-->
 <!--<table align="center" cellspacing="0" cellpadding="5" style="border: 1px solid rgb(72, 101, 145);" width="430">-->
-<table align="center" cellspacing="0" cellpadding="5" style="border: 0px solid rgb(72, 101, 145);" width="450">
+<table align="center" cellspacing="0" cellpadding="5" style="border: 2px solid #e8f0f0;" width="450">
 {V_login_stage_header}
 	<tr class="row_on" >
@@ -8,5 +8,5 @@
 	</tr>
 	<tr class="th">
-		<td bgcolor="#cccccc" colspan="2">&nbsp;<strong>{lang_header_login}</strong></td>
+		<td  bgcolor="#749ece" style="color:white" colspan="2">&nbsp;<strong>{lang_header_login}</strong></td>
 	</tr>
 	<tr class="row_on">
@@ -14,5 +14,5 @@
 	</tr>
 	<tr class="row_on">
-		<td colspan="2">
+		<td colspan="2" align=center>
 			<form action="manageheader.php" method="post" name="admin">
 				<table>
@@ -32,6 +32,6 @@
 		</td>
 	</tr>
-
 </tbody>
 </table>
+<br>
 <!-- end login_main.tpl -->