Index: trunk/help/setup/phpgw_pt-br.lang
===================================================================
--- trunk/help/setup/phpgw_pt-br.lang	(revision 194)
+++ trunk/help/setup/phpgw_pt-br.lang	(revision 1100)
@@ -1,6 +1,8 @@
-%1 manual page(s) added or updated	manual	pt-br	%1 páginas do manual adicionada(s) ou atualizada(s)
-download	manual	pt-br	download
+%1 manual page(s) added or updated	help	pt-br	%1 páginas do manual adicionada(s) ou atualizada(s)
+download	help	pt-br	download
 install or update the manual-pages	admin	pt-br	Instalar ou atualizar páginas do manual
+html_description	help	pt-br	Sua mensagem foi enviada ao Administrador do Expresso Livre, e em breve será respondida pelo seu próprio email do Expresso.<br><br> Obrigado por ajudar-nos a melhorar esta ferramenta.<br><br><div align=right><b>Equipe de Desenvolvimento e <BR> Manutenção do Expresso Livre.</b></div>
 manual	common	pt-br	Manual / Ajuda
-page(s) %1 not found !!!	manual	pt-br	Página %1 não encontrada !!!
-starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	pt-br	Iniciando a importação de %1, pode levar alguns minutos (especialmente se você o executa pela primeira ves agora) ...
+page(s) %1 not found !!!	help	pt-br	Página %1 não encontrada !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	help	pt-br	Iniciando a importação de %1, pode levar alguns minutos (especialmente se você o executa pela primeira vez agora) ...
+Your suggestion was sent successfully.	help	pt-br	Sua sugestão foi enviada com sucesso.
Index: trunk/help/enviasugestao.php
===================================================================
--- trunk/help/enviasugestao.php	(revision 201)
+++ trunk/help/enviasugestao.php	(revision 1100)
@@ -1,54 +1,42 @@
-<?php 	
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'noheader' => True,
-		'nonavbar' => True,
-		'currentapp' => 'expressoMail1_2',
-		'enable_nextmatchs_class' => True
-	);
-	
-	include('../header.inc.php');
-	$GLOBALS['phpgw']->preferences->read_repository();									
-	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];		
-	$boemailadmin	= CreateObject('emailadmin.bo');
-	$emailadmin_profile = $boemailadmin->getProfileList();
-	$_SESSION['phpgw_info']['expressomail']['email_server'] = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
-	$_SESSION['phpgw_info']['expressomail']['server'] = $GLOBALS['phpgw_info']['server'];		
-	$_SESSION['phpgw_info']['expressomail']['user']['email'] = $GLOBALS['phpgw']->preferences->values['email'];								
+<?php
+	/**************************************************************************\
+	* eGroupWare - Online User manual                                          *
+	* http://www.eGroupWare.org                                                *
+	* Written and (c) by RalfBecker@outdoor-training.de                        *
+	* --------------------------------------------                             *
+	*  This program is free software; you can redistribute it and/or modify it *
+	*  under the terms of the GNU General Public License as published by the   *
+	*  Free Software Foundation; either version 2 of the License, or (at your  *
+	*  option) any later version.                                              *
+	\**************************************************************************/
+
+	/* $Id: index.php,v 1.13 2004/04/13 08:19:10 ralfbecker Exp $ */
+
+$GLOBALS['phpgw_info']['flags'] = array(
+					'currentapp' => 'help',
+					'nonavbar'   => true,
+					'noheader'   => true,
+					);
+
+include('../header.inc.php');
+if($_POST){
+	$params['input_to'] = $_POST['to'];
+	$params['input_cc'] = $_POST['cc'];
+	$params['input_cc'] = $_POST['cco'];
+	$params['input_subject'] = $_POST['subject'];
+	$params['body']	= $_POST['body'];
+	$expressoMail = CreateObject('expressoMail1_2.imap_functions');			
+	$returncode = $expressoMail->send_mail($params);
+	if (!$returncode) {
+		echo "$to<Br>$subject<br>$tmpbody<br>$sender<br>\n";
+		echo '<i>'.$send->err['desc']."</i><br>\n";
+		exit;		
+	}
+	else{
+		ExecMethod('help.uihelp.viewSuccess');
+	}
+}
+else {
+	ExecMethod('help.uihelp.viewSuggestions');
+}
 ?>
-<html>
-	<head>
-		<title>Expresso Livre</title>
-		<script language="Javascript">
-		function send()	{
-			if(document.doit.body.value ==""){
-				alert('Não existe nenhum texto digitado.');
-				return false;
-			}
-			document.doit.submit();
-		}
-		</script>		
-	</head>
-<body style="margin:0px;padding:0px">
-<div class=Section1 align='center'>
-<table cellspacing="0" cellpadding="0" width="100%">
-<tr><td style="padding-left:0px;padding-right:25px" align="right" background="../phpgwapi/templates/celepar/images/fundo_topo.gif" nowrap>
-<a name="0"><img src="../phpgwapi/templates/celepar/images/logo_expresso.png?1"></a></td>
-</tr></table></p>
-<p align="center">
-<font face="Arial" size="2"><b><? echo lang("Use this space to send your doubts, critics and suggestions") ?></font></p>
-<form name="doit" action="sugestaoenviada.php" method="POST">
-<textarea name="body" cols="40" rows="15" wrap></textarea>
-<input type="hidden" name="to" value="<?=$GLOBALS['phpgw_info']['server']['sugestoes_email_to']?>">
-<input type="hidden" name="cc" value="<?=$GLOBALS['phpgw_info']['server']['sugestoes_email_cc']?>">
-<input type="hidden" name="bcc" value="<?=$GLOBALS['phpgw_info']['server']['sugestoes_email_bcc']?>">
-<input type="hidden" name="subject" value="Dicas, Dúvidas e Sugestões">
-<br>
-<br>
-<input type="button" name="enviar" value=<? echo lang("Send") ?> onClick="javascript:send()">
-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-<input type="button" name="cancelar" value=<? echo lang("Cancel") ?> onClick="javascript:window.close()">
-</form>
-</div>
-</body>
-
-</html>
Index: trunk/help/inc/class.uihelp.inc.php
===================================================================
--- trunk/help/inc/class.uihelp.inc.php	(revision 194)
+++ trunk/help/inc/class.uihelp.inc.php	(revision 1100)
@@ -2,5 +2,5 @@
 	class uihelp
 	{
-		function view()
+		function viewHelp()
 		{
 		    $template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
@@ -13,4 +13,35 @@
 		    $template->pfp('out', 'manual');
 		}
+		function viewSuggestions()
+		{
+		    $template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
+		    $template->set_file(Array('manual' => 'suggestions.tpl'));
+		    $template->set_var('title_suggestions', lang('Suggestions'));
+		    $template->set_var('lang_suggestions', lang('Suggestions'));
+		    $template->set_var('template_set', $GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']);
+		    $template->set_var('txt_desc',lang("Use this space to send your doubts, critics and suggestions"));
+		    $template->set_var('txt_subject',lang("Suggestions"));
+			$template->set_var('txt_send', lang("Send"));
+			$template->set_var('txt_cancel', lang("Cancel"));
+		    $template->set_var('sugg_mailto', $GLOBALS['phpgw_info']['server']['sugestoes_email_to']);
+		    $template->set_var('sugg_mailcc', $GLOBALS['phpgw_info']['server']['sugestoes_email_cc']);
+		    $template->set_var('sugg_mailto', $GLOBALS['phpgw_info']['server']['sugestoes_email_bcc']);
+		    $template->set_block('manual','help');		    
+		    $template->pfp('out', 'manual');
+		}
+		function viewSuccess()
+		{
+		    $template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
+		    $template->set_file(Array('manual' => 'success.tpl'));
+		    $template->set_var('template_set', $GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']);
+		    $template->set_var('lang_suggestions', lang('Suggestions'));
+		    $template->set_var('txt_close', lang("Close"));
+		    
+		    $template->set_var('title_suggestions', lang('Suggestions'));		    
+		    $template->set_var('txt_success', lang('Your suggestion was sent successfully.'));
+		    $template->set_var('html_description', lang('html_description'));		    		    
+		    $template->set_block('manual','help');		    
+		    $template->pfp('out', 'manual');		    
+		}		
 	}
 ?>
Index: trunk/help/index.php
===================================================================
--- trunk/help/index.php	(revision 196)
+++ trunk/help/index.php	(revision 1100)
@@ -20,5 +20,5 @@
 
 include('../header.inc.php');
-ExecMethod('help.uihelp.view');
+ExecMethod('help.uihelp.viewHelp');
 //	$GLOBALS['phpgw']->common->phpgw_footer();
 ?>
Index: trunk/help/templates/azul/success.tpl
===================================================================
--- trunk/help/templates/azul/success.tpl	(revision 1100)
+++ trunk/help/templates/azul/success.tpl	(revision 1100)
@@ -0,0 +1,30 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title></head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_suggestions}</span>
+</td></tr></table>
+<br><br>
+<p  align=center style='margin-top:0cm;margin-right:6.55pt;
+	margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:center'>
+<font face="Arial" size="2"><b>{txt_success}</b></font>
+<br>
+<br>
+<table border="0" width="320">
+    <tr>
+      <td><p  align=center style='margin-top:0cm;margin-right:6.55pt;font-width:10px
+		margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:justify'>{html_description}</p>		
+	   </td>
+    </tr>
+  </table>
+  <br><br>
+<input type="button" name="bt_close" value="{txt_close}" onClick="javascript:window.close()">
+</p>
+</form>
+</div>
+</body>
+</html>
Index: trunk/help/templates/azul/suggestions.tpl
===================================================================
--- trunk/help/templates/azul/suggestions.tpl	(revision 1100)
+++ trunk/help/templates/azul/suggestions.tpl	(revision 1100)
@@ -0,0 +1,38 @@
+<html>
+<head>
+<title>{title_suggestions}</title>
+		<script language="Javascript">
+		function send()	{
+			if(document.doit.body.value ==""){
+				alert('Não existe nenhum texto digitado.');
+				return false;
+			}
+			document.doit.submit();
+		}
+		</script>		
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_suggestions}</span>
+</td></tr></table>
+<div align='center'>
+<p align="center">
+<font face="Arial" size="2"><b>{txt_desc}</font></p>
+<form name="doit" action="enviasugestao.php" method="POST">
+<textarea name="body" cols="40" rows="15" wrap></textarea>
+<input type="hidden" name="to" value="{sugg_mailto}">
+<input type="hidden" name="cc" value="{sugg_mailcc}">
+<input type="hidden" name="bcc" value="{sugg_mailbcc}">
+<input type="hidden" name="subject" value="{txt_subject}">
+<br>
+<br>
+<input type="button" name="bt_send" value="{txt_send}" onClick="javascript:send()">
+&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<input type="button" name="bt_cancel" value="{txt_cancel}" onClick="javascript:window.close()">
+</form>
+</div>
+</body>
+</html>
Index: trunk/help/templates/celepar/success.tpl
===================================================================
--- trunk/help/templates/celepar/success.tpl	(revision 1100)
+++ trunk/help/templates/celepar/success.tpl	(revision 1100)
@@ -0,0 +1,28 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title></head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<span class="titulo" >{lang_suggestions}</span><img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+</td></tr></table><br><br>
+<p  align=center style='margin-top:0cm;margin-right:6.55pt;
+	margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:center'>
+<font face="Arial" size="2"><b>{txt_success}</b></font>
+<br>
+<br>
+<table border="0" width="320">
+    <tr>
+      <td><p  align=center style='margin-top:0cm;margin-right:6.55pt;font-width:10px
+		margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:justify'>{html_description}</p>		
+	   </td>
+    </tr>
+  </table>
+  <br><br>
+<input type="button" name="bt_close" value="{txt_close}" onClick="javascript:window.close()">
+</p>
+</form>
+</div>
+</body>
+</html>
Index: trunk/help/templates/celepar/css/index.css
===================================================================
--- trunk/help/templates/celepar/css/index.css	(revision 193)
+++ trunk/help/templates/celepar/css/index.css	(revision 1100)
@@ -1,6 +1,9 @@
-p.titulo
-    {font-size: 18.0pt;
-     font-family: "Verdana";
-     text-align: center;}
+.titulo
+    {font-size:18.0pt;
+    font-family:Verdana;
+    position:absolute;
+    top:45px;
+    left:5px;
+    z-index:0;};
 p.item
     {font-size: 16.0pt;
Index: trunk/help/templates/celepar/suggestions.tpl
===================================================================
--- trunk/help/templates/celepar/suggestions.tpl	(revision 1100)
+++ trunk/help/templates/celepar/suggestions.tpl	(revision 1100)
@@ -0,0 +1,37 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title>
+		<script language="Javascript">
+		function send()	{
+			if(document.doit.body.value ==""){
+				alert('Não existe nenhum texto digitado.');
+				return false;
+			}
+			document.doit.submit();
+		}
+		</script>		
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<span class="titulo" >{lang_suggestions}</span><img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+</td></tr></table>
+<div align='center'>
+<p align="center">
+<font face="Arial" size="2"><b>{txt_desc}</font></p>
+<form name="doit" action="enviasugestao.php" method="POST">
+<textarea name="body" cols="40" rows="15" wrap></textarea>
+<input type="hidden" name="to" value="{sugg_mailto}">
+<input type="hidden" name="cc" value="{sugg_mailcc}">
+<input type="hidden" name="bcc" value="{sugg_mailbcc}">
+<input type="hidden" name="subject" value="{txt_subject}">
+<br>
+<br>
+<input type="button" name="bt_send" value="{txt_send}" onClick="javascript:send()">
+&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<input type="button" name="bt_cancel" value="{txt_cancel}" onClick="javascript:window.close()">
+</form>
+</div>
+</body>
+</html>
Index: trunk/help/sugestaoenviada.php
===================================================================
--- trunk/help/sugestaoenviada.php	(revision 2)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?php
-$GLOBALS['phpgw_info']['flags'] = array(
-		'noheader' => True,
-		'nonavbar' => True,
-		'currentapp' => 'expressoMail1_2',
-		'enable_nextmatchs_class' => True
-	);
-	
-	include('../header.inc.php');
-	if($_POST){		
-		$params['input_to'] = $_POST['to'];
-		$params['input_cc'] = $_POST['cc'];
-		$params['input_cc'] = $_POST['cco'];
-		$params['input_subject'] = $_POST['subject'];
-		$params['body']	= $_POST['body'];
-		$expressoMail = CreateObject('expressoMail1_2.imap_functions');			
-		$returncode = $expressoMail->send_mail($params);
-		if (!$returncode) {
-			echo "$to<Br>$subject<br>$tmpbody<br>$sender<br>\n";
-			echo '<i>'.$send->err['desc']."</i><br>\n";
-			exit;		
-		}
-	}
-?>
-<html>
-	<head>
-		<title>Expresso Livre</title>
-	</head>
-	<body  style="margin:0px;padding:0px">
-<div class=Section1 align='center'>
-<table cellspacing="0" cellpadding="0" width="100%">
-<tr><td style="padding-left:0px;padding-right:25px" align="right" background="../phpgwapi/templates/celepar/images/fundo_topo.gif" nowrap>
-<a name="0"><img src="../phpgwapi/templates/celepar/images/logo_expresso.png?1"></a></td>
-</tr></table></p>
-<br><br>
-<p  align=center style='margin-top:0cm;margin-right:6.55pt;
-	margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:center'>
-<font face="Arial" size="2"><b>Sua mensagem foi enviada com sucesso!</b></font>
-<br>
-<br>
-<table border="0" width="320">
-    <tr>
-      <td><p  align=center style='margin-top:0cm;margin-right:6.55pt;font-width:10px
-		margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:justify'>
-		Sua mensagem foi enviada ao Administrador do Expresso Livre, e em breve ser&aacute; respondida pelo seu próprio email do Expresso.<br>
-		<br>
-		Obrigado por ajudar-nos a melhorar esta ferramenta.<br><br>
-		<div align="right"><b>Equipe de Desenvolvimento e <BR> Manutenção do Expresso Livre.</b></div>		
-		</p>		
-		
-	   </td>
-    </tr>
-  </table>
-  <br><br>
-<input type="button" name="fechar" value="Fechar" onClick="javascript:window.close()">
-</p>
-</form>
-</div>
-</body>
-</html>