Index: /contrib/psync/build/build.properties
===================================================================
--- /contrib/psync/build/build.properties	(revision 1009)
+++ /contrib/psync/build/build.properties	(revision 1103)
@@ -2,8 +2,8 @@
 
 # version dependant jar files
-common-pim.jar=funambol-common-pim-6.0.3.jar
+common-pim.jar=pim-framework-7.0.6.jar
 
 psync.name=funambol-psync
-psync.release.major=1
+psync.release.major=7
 psync.release.minor=0
-psync.build.number=0
+psync.build.number=1
Index: /contrib/psync/build/build.xml
===================================================================
--- /contrib/psync/build/build.xml	(revision 1009)
+++ /contrib/psync/build/build.xml	(revision 1103)
@@ -189,6 +189,8 @@
                 <pathelement location="${dir.lib}/commons-codec-1.3.jar" />
                 <pathelement location="${dir.lib}/commons-lang-2.2.jar"  />
-                <pathelement location="${dir.lib}/funambol-framework.jar"/>
-                <pathelement location="${dir.lib}/funambol-admin-dev.jar"/>
+                <pathelement location="${dir.lib}/ds-server-7.0.4.jar"/>
+                <pathelement location="${dir.lib}/core-framework-7.0.1.jar"/>
+                <pathelement location="${dir.lib}/server-framework-7.0.4.jar"/>
+                <pathelement location="${dir.lib}/admin-framework-7.0.0.jar"/>
                 <pathelement location="${dir.lib}/joda-time-1.4.jar"     />
                 <pathelement location="${dir.lib}/${pim-common.lib}"     />
Index: /contrib/psync/src/main/sql/postgresql/create_schema.sql
===================================================================
--- /contrib/psync/src/main/sql/postgresql/create_schema.sql	(revision 1009)
+++ /contrib/psync/src/main/sql/postgresql/create_schema.sql	(revision 1103)
@@ -1,2 +1,3 @@
+ALTER TABLE phpgw_cal ALTER title TYPE character varying(255);
 ALTER TABLE phpgw_cal ADD COLUMN last_status char(1) DEFAULT 'N'::bpchar;
 ALTER TABLE phpgw_cal ADD COLUMN last_update int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision);
@@ -5,2 +6,3 @@
 ALTER TABLE phpgw_cc_contact ADD COLUMN last_update int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision);
 ALTER TABLE phpgw_cc_contact ADD COLUMN category character varying(20);
+
Index: /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMCalendarDAO.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMCalendarDAO.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMCalendarDAO.java	(revision 1103)
@@ -135,12 +135,21 @@
 	private Sync4jPrincipal principal = null;
 
+	private Boolean sourceQuery = false;
+	private Timestamp date1 = null;
+	private Timestamp date2 = null;
+
 	/*
 	 * @see PIMEntityDAO#PIMEntityDAO(String, String)
 	 */
-	public PIMCalendarDAO(String jndiDataSourceName, Sync4jPrincipal principal) {
+	public PIMCalendarDAO(String jndiDataSourceName, Sync4jPrincipal principal, String sourceQuery) throws Exception {
 
 		super(jndiDataSourceName, principal.getUsername());
 		log.info("\n\n=> Created new PIMCalendarDAO for data source " + jndiDataSourceName + " and user ID " + userId);
 		this.principal = principal;
+
+		if(sourceQuery != null){
+			this.sourceQuery = true;
+			findDates(sourceQuery);
+		}
 	}
 
@@ -178,4 +187,8 @@
 		long id_cal  = 0;
 
+		long datea1 = 0;
+		long datea2 = 0;
+		long dateb1 = 0;
+
 		try {
 
@@ -202,72 +215,79 @@
 			}
 
-			rp          = c.getRecurrencePattern(); // Recebe a repetiÃ§Ã£o do alarme
-			reminder    = c.getReminder(); // Recebe o alarme do evento
-			body 		= stringFrom(c.getDescription()); // Descricao completa do evento
-			location 	= stringFrom(c.getLocation()); // Localizacao do evento
-			is_public 	= (stringFrom(c.getAccessClass())).equals("2") ? "0" : "1"; // Evento particular ou publico
-			subject 	= stringFrom(c.getSummary()); // Titulo do evento
-			category    = stringFrom(c.getCategories());
-
-			// Verifica o parametro uid necessario para o expresso
-			ps = con.prepareStatement("select config_value from phpgw_config WHERE config_name = 'hostname' AND config_app = 'phpgwapi'");
-			rs = ps.executeQuery();
-			String uid = rs.next() ? ("-@" + rs.getString(1)) : "";
-
-			// Verifica a categoria do evento
-			if(category != null && (!category.equals(""))){
-				category = addCategory(category);
-			}
-
-			// Prepara os dados para inserir o evento no banco de dados
-			ps = con.prepareStatement(SQL_INSERT_INTO_EXP_PIM_CALENDAR);
-			ps.setString(1, uid); // -@hostname
-			ps.setLong(2, Long.parseLong(userId)); // owner
-			ps.setString(3, category); // category
-			ps.setLong(4, new Long(Long.toString(dtstart.getTime()).substring(0, 10))); // datetime
-			ps.setLong(5, new Long(Long.toString(lastUpdate.getTime()).substring(0, 10))); // mdatetime
-			ps.setLong(6, new Long(Long.toString(dend.getTime()).substring(0, 10))); // edatetime
-			ps.setString(7, (rp == null) ? "E" : "M"); // cal_type
-			ps.setLong(8, Long.parseLong(is_public)); // is_plublic
-			ps.setString(9, truncate(subject, SQL_SUBJECT_DIM)); // title
-			ps.setString(10, truncate(body, SQL_BODY_DIM)); // body of event, a little description of it
-			ps.setString(11, truncate(location, SQL_LOCATION_DIM)); // location of the event
-			ps.setString(12, ""); // Participants outside
-			ps.setLong(13, lastUpdate.getTime()); // last update
-			ps.setString(14, String.valueOf(Def.PIM_STATE_NEW)); // status
-			ps.executeUpdate();
-
-			// Verifica o id maximo do evento inserido
-			ps = con.prepareStatement("select max(cal_id) from phpgw_cal limit 1");
-			rs = ps.executeQuery();
-
-			if (rs.next()) {
-				long id = rs.getInt(1);
-				id_cal = (id == 0) ? 1 : id;
-			}
-
-			cw.setId(Long.toString(id_cal));
-
-			ps = con.prepareStatement(SQL_INSERT_INTO_EXP_PIM_CALENDAR_USER);
-			ps.setLong(1, id_cal);
-			ps.setLong(2, Long.parseLong(userId)); // owner
-			ps.executeUpdate();
-
-			// Evento com repetiÃ§Ã£o
-			if (rp != null) {
-				addRecurrencePattern(rp, id_cal, sd);
-			}
-
-			// Evento com Alarme
-			if (reminder != null && reminder.isActive()) {
-				addReminder(reminder, id_cal);
-			}
-
-			con.commit();
-			con.setAutoCommit(true);
+//			datea1 = this.date1.getTime(); // 23
+//			datea2 = this.date2.getTime(); // 29
+//			dateb1 = dtstart.getTime(); // 28
+//
+//			if(dateb1 >= datea1 && dateb1 <= datea2){
+
+				rp          = c.getRecurrencePattern(); // Recebe a repetiÃ§Ã£o do alarme
+				reminder    = c.getReminder(); // Recebe o alarme do evento
+				body 		= stringFrom(c.getDescription()); // Descricao completa do evento
+				location 	= stringFrom(c.getLocation()); // Localizacao do evento
+				is_public 	= (stringFrom(c.getAccessClass())).equals("2") ? "0" : "1"; // Evento particular ou publico
+				subject 	= stringFrom(c.getSummary()); // Titulo do evento
+				category    = stringFrom(c.getCategories());
+
+				// Verifica o parametro uid necessario para o expresso
+				ps = con.prepareStatement("select config_value from phpgw_config WHERE config_name = 'hostname' AND config_app = 'phpgwapi'");
+				rs = ps.executeQuery();
+				String uid = rs.next() ? ("-@" + rs.getString(1)) : "";
+
+				// Verifica a categoria do evento
+				if(category != null && (!category.equals(""))){
+					category = addCategory(category);
+				}
+
+				// Prepara os dados para inserir o evento no banco de dados
+				ps = con.prepareStatement(SQL_INSERT_INTO_EXP_PIM_CALENDAR);
+				ps.setString(1, uid); // -@hostname
+				ps.setLong(2, Long.parseLong(userId)); // owner
+				ps.setString(3, category); // category
+				ps.setLong(4, new Long(Long.toString(dtstart.getTime()).substring(0, 10))); // datetime
+				ps.setLong(5, new Long(Long.toString(lastUpdate.getTime()).substring(0, 10))); // mdatetime
+				ps.setLong(6, new Long(Long.toString(dend.getTime()).substring(0, 10))); // edatetime
+				ps.setString(7, (rp == null) ? "E" : "M"); // cal_type
+				ps.setLong(8, Long.parseLong(is_public)); // is_plublic
+				ps.setString(9, truncate(subject, SQL_SUBJECT_DIM)); // title
+				ps.setString(10, truncate(body, SQL_BODY_DIM)); // body of event, a little description of it
+				ps.setString(11, truncate(location, SQL_LOCATION_DIM)); // location of the event
+				ps.setString(12, ""); // Participants outside
+				ps.setLong(13, lastUpdate.getTime()); // last update
+				ps.setString(14, String.valueOf(Def.PIM_STATE_NEW)); // status
+				ps.executeUpdate();
+
+				// Verifica o id maximo do evento inserido
+				ps = con.prepareStatement("select max(cal_id) from phpgw_cal limit 1");
+				rs = ps.executeQuery();
+
+				if (rs.next()) {
+					long id = rs.getInt(1);
+					id_cal = (id == 0) ? 1 : id;
+				}
+
+				cw.setId(Long.toString(id_cal));
+
+				ps = con.prepareStatement(SQL_INSERT_INTO_EXP_PIM_CALENDAR_USER);
+				ps.setLong(1, id_cal);
+				ps.setLong(2, Long.parseLong(userId)); // owner
+				ps.executeUpdate();
+
+				// Evento com repetiÃ§Ã£o
+				if (rp != null) {
+					addRecurrencePattern(rp, id_cal, sd);
+				}
+
+				// Evento com Alarme
+				if (reminder != null && reminder.isActive()) {
+					addReminder(reminder, id_cal);
+				}
+
+				con.commit();
+				con.setAutoCommit(true);
+
+//			}
 
 		} catch (Exception e) {
-			throw new PIMDBAccessException("Error adding a calendar item: "
-					+ e.getMessage());
+			throw new PIMDBAccessException("Error adding a calendar item: " + e.getMessage());
 		} finally {
 			DBTools.close(con, ps, rs);
@@ -810,4 +830,9 @@
 			dtStart = getDateFromString(stringFrom(c.getCalendarContent().getDtStart()));
 			dtEnd = getDateFromString(stringFrom(c.getCalendarContent().getDtEnd()));
+
+			long hj = System.currentTimeMillis();
+			if(dtStart.getTime() > hj){
+				return twins;
+			}
 
 			StringBuffer sqlGetCalendarTwinList = new StringBuffer(SQL_GET_EXP_PIM_CALENDAR_ID_LIST_BY_USER);
@@ -1437,3 +1462,41 @@
 	}
 
+	private void findDates(String source) throws Exception {
+
+		String aux = null;
+		StringTokenizer tokens = null;
+		String primeira = null;
+		String segunda = null;
+
+		int i = 0;
+		int j = 0;
+
+		java.util.Calendar calendar1 = null;
+		java.util.Calendar calendar2 = null;
+
+		try {
+
+			aux = source.substring(source.indexOf("(")+1, source.indexOf(")"));
+			tokens = new StringTokenizer(aux, ",");
+
+			primeira = tokens.nextToken();
+			segunda = tokens.nextToken();
+
+			i = Integer.parseInt(primeira);
+			j = Integer.parseInt(segunda);
+
+			calendar1 = java.util.Calendar.getInstance();
+			calendar2 = java.util.Calendar.getInstance();
+
+			calendar1.add(java.util.Calendar.DAY_OF_MONTH, i);
+			calendar2.add(java.util.Calendar.DAY_OF_MONTH, j);
+
+			this.date1 = new Timestamp(calendar1.getTimeInMillis());
+			this.date2 = new Timestamp(calendar2.getTimeInMillis());
+
+		} catch (Exception e) {
+			throw new PIMDBAccessException("Error convert dates findDates  " + e.getMessage());
+		}
+	}
+
 }
Index: /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMContactDAO.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMContactDAO.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMContactDAO.java	(revision 1103)
@@ -68,7 +68,7 @@
 			+ "WHERE (id_owner = ?) "
 			+ "AND ((given_names is null AND (?) = '') "
-			+ "OR (lower(given_names) = ?)) "
+			+ "OR (given_names = ?)) "
 			+ "AND ((family_names is null AND (?) = '') "
-			+ "OR (lower(family_names) = ?)) ";
+			+ "OR (family_names = ?)) ";
 
 	private static final String SQL_INSERT_INTO_FNBL_PIM_CONTACT = "INSERT INTO phpgw_cc_contact "
@@ -1006,14 +1006,13 @@
 			}
 
-			String fnSearch = (firstName.length() == 0 ? "<N/A>" : firstName
-					.toLowerCase());
-			String lnSearch = (lastName.length() == 0 ? "<N/A>" : lastName
-					.toLowerCase());
+			String fnSearch = (firstName.length() == 0 ? "<N/A>" : firstName);
+			String lnSearch = (lastName.length() == 0 ? "<N/A>" : lastName);
 			StringBuilder sb = new StringBuilder(100);
 
-			sb.append("\n\nLooking for items having: ").append(
-					"\n> first name   : '").append(fnSearch).append('\'')
-					.append("\n> last  name   : '").append(lnSearch).append(
-							'\'').append("\n");
+			sb.append("\n\nLooking for items having: ")
+			  .append("\n> first name   : '")
+			  .append(fnSearch).append('\'')
+			  .append("\n> last  name   : '")
+			  .append(lnSearch).append('\'').append("\n");
 
 			log.info(sb.toString());
@@ -1022,8 +1021,8 @@
 					+ SQL_ORDER_BY_ID);
 			ps.setLong(1, Long.parseLong(userId));
-			ps.setString(2, firstName.toLowerCase());
-			ps.setString(3, firstName.toLowerCase());
-			ps.setString(4, lastName.toLowerCase());
-			ps.setString(5, lastName.toLowerCase());
+			ps.setString(2, firstName);
+			ps.setString(3, firstName);
+			ps.setString(4, lastName);
+			ps.setString(5, lastName);
 			rs = ps.executeQuery();
 
Index: /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMEntityDAO.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMEntityDAO.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/items/dao/PIMEntityDAO.java	(revision 1103)
@@ -70,5 +70,5 @@
 	 * Creates a new instance of PIMEntityDAO, ready to be linked to a given
 	 * DataSource.
-	 * 
+	 *
 	 * @param jndiDataSourceName
 	 *            the jndiname of the datasource to use
@@ -197,5 +197,5 @@
 	 * Looks up the data source, making some guess attempts based on
 	 * jndiDataSourceName.
-	 * 
+	 *
 	 * @throws Exception
 	 */
@@ -216,5 +216,5 @@
 	 * Retrieves the UID list of the new items belonging to the user filtered
 	 * according to the given time interval.
-	 * 
+	 *
 	 * @param since
 	 *            the earliest allowed last-update Timestamp
@@ -234,5 +234,5 @@
 	 * Retrieves the UID list of the deleted items belonging to the user
 	 * filtered according to the given time interval.
-	 * 
+	 *
 	 * @param since
 	 *            the earliest allowed last-update Timestamp
@@ -252,5 +252,5 @@
 	 * Retrieves the UID list of the updated items belonging to the user
 	 * filtered according to the given time interval.
-	 * 
+	 *
 	 * @param since
 	 *            the earliest allowed last-update Timestamp
@@ -273,5 +273,5 @@
 	 * Retrieves the UID list of the items belonging to the user filtered
 	 * according to the given time interval and status.
-	 * 
+	 *
 	 * @param since
 	 *            the earliest allowed last-update Timestamp
@@ -289,10 +289,10 @@
 	/**
 	 * Checks (safely) whether the property is unset.
-	 * 
+	 *
 	 * @param property
 	 *            may be null
 	 * @return false only if the property value is a non-null, but possibly
 	 *         empty (""), string
-	 * 
+	 *
 	 * @see PIMEntityDAO#stringFrom(Property)
 	 */
@@ -304,9 +304,9 @@
 	/**
 	 * Checks (safely) whether the property is unset or set to an empty string.
-	 * 
+	 *
 	 * @param property
 	 *            may be null
 	 * @return false only if the property value is a non-null non-empty string
-	 * 
+	 *
 	 * @see PIMEntityDAO#stringFrom(Property, boolean)
 	 */
@@ -327,5 +327,5 @@
 	 * considered as an acceptable value for the property: in such a case, an
 	 * empty String object will be returned.
-	 * 
+	 *
 	 * @param property
 	 *            may be null
@@ -349,5 +349,5 @@
 	 * stringFrom(..., false) will be considered as explicitly kept blank if its
 	 * value is "". This means that single field deletions can be made tunable.
-	 * 
+	 *
 	 * @param property
 	 *            may be null
@@ -356,5 +356,5 @@
 	 *            null; otherwise, in such a case an empty String object will be
 	 *            returned
-	 * 
+	 *
 	 * @return if existing (and not empty if emptyImpliesNull is true), the
 	 *         property value will be returned as a String object
@@ -380,5 +380,5 @@
 	/**
 	 * Gets a substring in a safe way.
-	 * 
+	 *
 	 * @param string
 	 *            may be null or longer than maxLength
Index: /contrib/psync/src/main/java/br/com/prognus/psync/items/manager/PIMCalendarManager.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/items/manager/PIMCalendarManager.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/items/manager/PIMCalendarManager.java	(revision 1103)
@@ -43,10 +43,13 @@
 
 	/**
+	 * @throws Exception
 	 * @see PIMEntityDAO#PIMEntityDAO(String, String)
 	 */
-	public PIMCalendarManager(String jndiDataSourceName,
-			Sync4jPrincipal principal) {
+	public PIMCalendarManager(String jndiDataSourceName, Sync4jPrincipal principal, String sourceQuery) {
 
-		this.dao = new PIMCalendarDAO(jndiDataSourceName, principal);
+		try {
+			this.dao = new PIMCalendarDAO(jndiDataSourceName, principal, sourceQuery);
+		} catch (Exception e) {
+		}
 		super.dao = this.dao;
 
@@ -60,5 +63,5 @@
 	/**
 	 * Updates a calendar.
-	 * 
+	 *
 	 * @param uid
 	 *            the UID of the calendar
Index: /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Repository
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Repository	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Repository	(revision 1103)
@@ -0,0 +1,1 @@
+funambol/modules/foundation/connector/src/main/java/com/funambol/foundation/synclet
Index: /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Root
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Root	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Root	(revision 1103)
@@ -0,0 +1,1 @@
+:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/sync4j
Index: /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Entries
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Entries	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Entries	(revision 1103)
@@ -0,0 +1,7 @@
+/BeanShellSynclet.java/1.5/Fri Apr 13 08:51:02 2007//Tfoundation_6_0_3
+/ChangeDeviceIdSynclet.java/1.3/Thu Jan 11 19:20:19 2007//Tfoundation_6_0_3
+/ChangeSourceUriSynclet.java/1.5/Thu Feb 15 10:23:46 2007//Tfoundation_6_0_3
+/LoggingSynclet.java/1.4/Thu Jan 11 19:20:19 2007//Tfoundation_6_0_3
+/PIMItemsHandler.java/1.1/Fri Feb  2 10:33:13 2007//Tfoundation_6_0_3
+/SourceUriPrefixSynclet.java/1.4/Thu Feb 15 10:23:46 2007//Tfoundation_6_0_3
+/StopProcessingSynclet.java/1.2/Thu Jan 11 19:20:19 2007//Tfoundation_6_0_3
Index: /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Tag
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Tag	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/synclet/CVS/Tag	(revision 1103)
@@ -0,0 +1,1 @@
+Nfoundation_6_0_3
Index: /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMSyncSource.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMSyncSource.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMSyncSource.java	(revision 1103)
@@ -106,4 +106,6 @@
 		log.trace("PIMSyncSource beginSync start");
 
+		this.sourceQuery = context.getSourceQuery();
+
 		principal = context.getPrincipal();
 		userId = principal.getUsername();
@@ -148,5 +150,5 @@
 	/**
 	 * Gets the status of the SyncItem with the given key.
-	 * 
+	 *
 	 * @param syncItemKey
 	 *            as a SyncItemKey object
@@ -214,5 +216,5 @@
 	/**
 	 * Extracts the content from a syncItem.
-	 * 
+	 *
 	 * @param syncItem
 	 * @return as a String object
Index: /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMCalendarSyncSource.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMCalendarSyncSource.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/engine/source/PIMCalendarSyncSource.java	(revision 1103)
@@ -74,9 +74,15 @@
 	public void beginSync(SyncContext context) {
 
-		this.manager = new PIMCalendarManager(JNDI_DATA_SOURCE_NAME, context
-				.getPrincipal());
+		try {
+			this.manager = new PIMCalendarManager(JNDI_DATA_SOURCE_NAME, context.getPrincipal(), context.getSourceQuery());
+		} catch (Exception e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
 		super.manager = this.manager;
 		super.beginSync(context);
 	}
+
+
 
 	/**
Index: /contrib/psync/src/main/java/br/com/prognus/psync/admin/PIMSyncSourceConfigPanel.java
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/admin/PIMSyncSourceConfigPanel.java	(revision 1009)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/admin/PIMSyncSourceConfigPanel.java	(revision 1103)
@@ -167,5 +167,5 @@
 	/**
 	 * Set preferredSize of the panel
-	 * 
+	 *
 	 * @return preferredSize of the panel
 	 */
@@ -179,5 +179,5 @@
 	 * Checks if the values provided by the user are all valid. If they are, the
 	 * method ends regularly.
-	 * 
+	 *
 	 * @throws IllegalArgumentException
 	 *             if name, uri, type or directory are empty (null or
@@ -236,5 +236,5 @@
 	/**
 	 * Checks whether a SIF content type is selected.
-	 * 
+	 *
 	 * @return true if in the combo box the selected string starts with "SIF"
 	 */
@@ -249,5 +249,5 @@
 	/**
 	 * Adds extra components just above the confirm button.
-	 * 
+	 *
 	 * @param x
 	 *            horizontal position
@@ -268,5 +268,5 @@
 	/**
 	 * Returns the panel name
-	 * 
+	 *
 	 * @return the panel name
 	 */
@@ -277,5 +277,5 @@
 	/**
 	 * Returns the available types
-	 * 
+	 *
 	 * @return the available types;
 	 */
@@ -284,5 +284,5 @@
 	/**
 	 * Returns the type to select based on the given syncsource
-	 * 
+	 *
 	 * @return the type to select based on the given syncsource
 	 */
@@ -292,5 +292,5 @@
 	 * Sets the source info of the given syncsource based on the given
 	 * selectedType
-	 * 
+	 *
 	 * @param syncSource
 	 *            the source
@@ -305,5 +305,5 @@
 	/**
 	 * Creates the panel's components and layout.
-	 * 
+	 *
 	 * @todo adjust layout
 	 */
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Repository
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Repository	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Repository	(revision 1103)
@@ -0,0 +1,1 @@
+funambol/modules/foundation/connector/src/main/java/com/funambol/foundation/phones
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Root
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Root	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Root	(revision 1103)
@@ -0,0 +1,1 @@
+:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/sync4j
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Entries
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Entries	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Entries	(revision 1103)
@@ -0,0 +1,1 @@
+D/s55////
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Tag
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Tag	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/CVS/Tag	(revision 1103)
@@ -0,0 +1,1 @@
+Tfoundation_6_0_3
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Repository
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Repository	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Repository	(revision 1103)
@@ -0,0 +1,1 @@
+funambol/modules/foundation/connector/src/main/java/com/funambol/foundation/phones/s55
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Root
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Root	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Root	(revision 1103)
@@ -0,0 +1,1 @@
+:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/sync4j
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Entries
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Entries	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Entries	(revision 1103)
@@ -0,0 +1,2 @@
+/SlowFastSyncManagement.java/1.3/Thu Jan 11 19:20:19 2007//Tfoundation_6_0_3
+/SyncRequestStore.java/1.3/Thu Jan 11 19:20:19 2007//Tfoundation_6_0_3
Index: /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Tag
===================================================================
--- /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Tag	(revision 1103)
+++ /contrib/psync/src/main/java/br/com/prognus/psync/phones/s55/CVS/Tag	(revision 1103)
@@ -0,0 +1,1 @@
+Nfoundation_6_0_3